diff options
| author | Bruce Momjian <bruce@momjian.us> | 2006-07-27 13:20:24 +0000 |
|---|---|---|
| committer | Bruce Momjian <bruce@momjian.us> | 2006-07-27 13:20:24 +0000 |
| commit | 43c79378c85cb0ac51c1a445655c2262dac7d46a (patch) | |
| tree | 651e44ada7162715171c39b7cdc7976b8370d7f6 /configure | |
| parent | b517e653489f733893d61e7a84c118325394471c (diff) | |
| download | postgresql-43c79378c85cb0ac51c1a445655c2262dac7d46a.tar.gz | |
Allow LDAP lookups from pg_service.conf.
Albe Laurenz
Diffstat (limited to 'configure')
| -rwxr-xr-x | configure | 85 |
1 files changed, 85 insertions, 0 deletions
@@ -17314,6 +17314,91 @@ _ACEOF fi +# this will link libpq against libldap_r +if test "$with_ldap" = yes ; then + if test "$PORTNAME" != "win32"; then + +echo "$as_me:$LINENO: checking for ldap_simple_bind in -lldap_r" >&5 +echo $ECHO_N "checking for ldap_simple_bind in -lldap_r... $ECHO_C" >&6 +if test "${ac_cv_lib_ldap_r_ldap_simple_bind+set}" = set; then + echo $ECHO_N "(cached) $ECHO_C" >&6 +else + ac_check_lib_save_LIBS=$LIBS +LIBS="-lldap_r $LIBS" +cat >conftest.$ac_ext <<_ACEOF +/* confdefs.h. */ +_ACEOF +cat confdefs.h >>conftest.$ac_ext +cat >>conftest.$ac_ext <<_ACEOF +/* end confdefs.h. */ + +/* Override any gcc2 internal prototype to avoid an error. */ +#ifdef __cplusplus +extern "C" +#endif +/* We use char because int might match the return type of a gcc2 + builtin and then its argument prototype would still apply. */ +char ldap_simple_bind (); +int +main () +{ +ldap_simple_bind (); + ; + return 0; +} +_ACEOF +rm -f conftest.$ac_objext conftest$ac_exeext +if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 + (eval $ac_link) 2>conftest.er1 + ac_status=$? + grep -v '^ *+' conftest.er1 >conftest.err + rm -f conftest.er1 + cat conftest.err >&5 + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); } && + { ac_try='test -z "$ac_c_werror_flag" + || test ! -s conftest.err' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; } && + { ac_try='test -s conftest$ac_exeext' + { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 + (eval $ac_try) 2>&5 + ac_status=$? + echo "$as_me:$LINENO: \$? = $ac_status" >&5 + (exit $ac_status); }; }; then + ac_cv_lib_ldap_r_ldap_simple_bind=yes +else + echo "$as_me: failed program was:" >&5 +sed 's/^/| /' conftest.$ac_ext >&5 + +ac_cv_lib_ldap_r_ldap_simple_bind=no +fi +rm -f conftest.err conftest.$ac_objext \ + conftest$ac_exeext conftest.$ac_ext +LIBS=$ac_check_lib_save_LIBS +fi +echo "$as_me:$LINENO: result: $ac_cv_lib_ldap_r_ldap_simple_bind" >&5 +echo "${ECHO_T}$ac_cv_lib_ldap_r_ldap_simple_bind" >&6 +if test $ac_cv_lib_ldap_r_ldap_simple_bind = yes; then + cat >>confdefs.h <<_ACEOF +#define HAVE_LIBLDAP_R 1 +_ACEOF + + LIBS="-lldap_r $LIBS" + +else + { { echo "$as_me:$LINENO: error: library 'ldap_r' is required for LDAP" >&5 +echo "$as_me: error: library 'ldap_r' is required for LDAP" >&2;} + { (exit 1); exit 1; }; } +fi + + PTHREAD_LIBS="$PTHREAD_LIBS -lldap_r" + fi +fi + CFLAGS="$_CFLAGS" LIBS="$_LIBS" |
